import type { MutableRefObject } from 'react';
/**
 * Hook equivalent to useRef, but with a lazy initialization for computed value.
 *
 * @param init - the function the computes the ref value
 * @returns the ref
 * @public
 */
export declare const useLazyRef: <T>(init: () => T) => MutableRefObject<T>;
//# sourceMappingURL=useLazyRef.d.ts.map