import type { Ref, RefCallback } from 'react';
/**
 * Hook to merge refs and callbacks refs into a single callback ref. Useful when your component need a internal ref
 * while receiving a forwared ref.
 *
 * @param refs - the refs and callback refs that should be merged
 * @return a merged callback ref
 * @public
 */
export declare const useMergedRefs: <T>(...refs: Ref<T>[]) => RefCallback<T>;
//# sourceMappingURL=useMergedRefs.d.ts.map