import type { RefObject } from 'react';
/**
 * @ignore
 */
type UseResizeObserverOptions = {
    debounceDelay?: number;
};
/**
 * Hook to track dimension changes in a DOM element using the ResizeObserver API.
 *
 * @param options
 * @returns a triple containing the ref and the size information
 * @public
 */
export declare const useResizeObserver: <T extends Element>({ debounceDelay, }?: UseResizeObserverOptions) => {
    ref: RefObject<T>;
    contentBoxSize: Partial<ResizeObserverSize>;
    borderBoxSize: Partial<ResizeObserverSize>;
};
export {};
//# sourceMappingURL=useResizeObserver.d.ts.map