import type { Dispatch, DispatchWithoutAction } from 'react';
/**
 * Hook that wraps pairs of state and dispatcher to provide a new dispatcher
 * which can be safe and asynchronically called even after the component unmounted.
 *
 * @param pair - the state and dispatcher pair which will be patched
 * @returns a state value and safe dispatcher pair
 * @public
 */
export declare function useSafely<S, D extends DispatchWithoutAction | Dispatch<any>>([state, dispatcher,]: [state: S, dispatch: D]): [state: S, dispatch: D];
//# sourceMappingURL=useSafely.d.ts.map