import type { SetStateAction } from 'react';
/**
 * Hook to create a toggleable boolean state.
 *
 * @param initialValue - the initial value or the initial state generator function
 * @returns a state boolean value and a state toggler function
 * @public
 */
export declare const useToggle: (initialValue?: boolean | (() => boolean)) => [boolean, (forcedValue?: SetStateAction<boolean>) => void];
//# sourceMappingURL=useToggle.d.ts.map